Add Multiple Document Renditions
Add document renditions in bulk. You must first load the renditions to the file staging server.
- Your Vault must be in Migration Mode.
- The maximum CSV input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard format.
- The maximum batch size is 500.
POST
/api/{version}/objects/documents/renditions/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv |
Accept | application/json (default) or text/csv |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
file | The filepath of the rendition on the file staging server. |
id | The system-assigned document ID of the document to add renditions to. |
external_id__v | Optional: Instead of id, you can use this user-defined document external ID. |
rendition_type__v | Document rendition type to assign to the new rendition. Only one rendition of each type may exist on each document. |
major_version_number__v | Major version number to assign to the new document rendition. |
minor_version_number__v | Minor version number to assign to the new document rendition. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
idParam | If you're identifying documents in your input by their external ID, add idParam=external_id__v to the request endpoint. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Documents\add_document_renditions.csv" \
https://myvault.veevavault.com/api/v19.1/objects/documents/renditions/batchResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 771,
"external_id__v": "ALT-DOC-0771",
"major_version_number__v": 0,
"minor_version_number__v": 2,
"rendition_type__c": "imported_rendition__c"
},
{
"responseStatus": "SUCCESS",
"id": 772,
"external_id__v": "CHO-DOC-0772",
"major_version_number__v": 0,
"minor_version_number__v": 2,
"rendition_type__c": "imported_rendition__c"
},
{
"responseStatus": "SUCCESS",
"id": 773,
"external_id__v": "GLU-DOC-0773",
"major_version_number__v": 1,
"minor_version_number__v": 0,
"rendition_type__c": "imported_rendition__c"
},
{
"responseStatus": "FAILURE",
"errors": [
{
"type": "INVALID_DATA",
"message": "Error message describing why this document rendition was not added."
}
]
}
]
}